foreman host details page not displyaing correctly.
Description

The foreman host details page (click on a host name from the "hosts" page) is not displaying correctly.  The "runtime_graph" graph is

overlapping the "host_overview" statistics, both are the the top of the page.  I can see all of the "runtime_graph" but only the right half

of the "host_overview" stats.

History

#1 - 03/31/2011 09:20 AM - Ohad Levy

- Status changed from New to Feedback

any chance you could provide a screenshot?

it would be helpful to know on which os/browser you were using it.

#2 - 03/31/2011 09:26 AM - monte olvera

- File foremanOverlapp.JPG added

I'm using firefox 3.6.15, foreman 0.2.  Also, I've changed the server name and domain from the screenshot.  Thanks.

#3 - 03/31/2011 09:39 AM - Ohad Levy

if you enlarge the window does it work ok?

Foreman assumes you have some sort of a minimum window size...

#4 - 03/31/2011 11:34 AM - monte olvera

sorry, was in a meeting.  The window is already maximized.  If I minimize then maximize it there is no difference.

#5 - 04/01/2011 08:25 AM - monte olvera

any update on this?  Thanks.

#6 - 04/01/2011 03:29 PM - Ohad Levy

monte olvera wrote:

any update on this?  Thanks.

 its odd, I can't reproduce the problem.

can you try with another browser (such as chrome)?

what is your display resolution?

#7 - 04/01/2011 04:10 PM - monte olvera

- File foremanIE6-0-2.JPG added
display resolution is 1024x768.

IE 6.0.2 (restricted to this version) is better but not much, see attached.

I'm installing chrome now and will post its results as soon as I get them, should only be a few minutes.

#8 - 04/01/2011 04:25 PM - Ohad Levy

monte olvera wrote:

display resolution is 1024x768.

 as it turns out, 1024x768 seems too low currently.

the only way around it (at the moment), would be to resize the graphs which are rendered on that page (see app/views/hosts/show.html.erb file)

#9 - 04/01/2011 05:38 PM - monte olvera

graphs resized:  changed width from 800 to 650, looks good, thanks!

#10 - 06/18/2013 08:41 AM - Benjamin Papillon

- Status changed from Feedback to Closed

Since this ticket, the UI is completely new. I prefer to close it to not mislead the devs.
